/*============================================================================
  File:     RestoreCredit.sql

  Summary:  Restore the Credit Database to give us a clean start between demos.
  
		    **************************************	
		    ***	NOTE: THIS IS A SQLCMD SCRIPT! ***
		    **************************************	
		
		    Be sure to turn on SQLCMD before running
			ALSO, check/modify the parameters on lines 46-55
		    for the connection and restore directories.
  
  Date:     October 2012

  SQL Server Version: 2008/2008 R2/2012
------------------------------------------------------------------------------
  Written by SQLskills.com

  For more scripts and sample code, check out http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Kimberly L. Tripp.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

-- IMPORTANT NOTES: 
-- 1) This is a compressed SQL Server 2008 backup and will only restore to 
--    SQL Server 2008/2008R2 or 2012.
-- 2) All examples expect a database name of Credit. However, if you
--    already have a database with this name, you can change it. In all other
--    scripts, you'll need to be sure to continue to change this based on your
--    new database name. (LINE 49)
-- 3) Be sure to set your complete path\file based on where the 
--    CreditBackup100.BAK is located. (LINE 50)
-- 4) Be sure to set the server/instance name for restore. (LINE 51)
-- 5) Be sure to set your instance directory structure based on your
--    installation. (LINES 54-56)

-- In general, this script should take less than 30 seconds to execute.

:ON ERROR EXIT
go

:SETVAR DB Credit
:SETVAR CreditBackup "D:\SQLskills\CreditBackup100.BAK"
--:SETVAR RestoreToServer (local)\SQL2008R2
:SETVAR RestoreToServer (local)\SQL2012Dev01

--:SETVAR RestoreToDirectory "D:\Program Files\Microsoft SQL Server\MSSQL10.SQLDev01\MSSQL\data"
--:SETVAR RestoreToDirectory "D:\Microsoft SQL Server\MSSQL10_50.SQL2008R2\MSSQL\data"
:SETVAR RestoreToDirectory "D:\Microsoft SQL Server\MSSQL11.SQL2012Dev01\MSSQL\data"
go

:CONNECT $(RestoreToServer)
go

SET NOCOUNT ON
go

USE master
go

IF DATABASEPROPERTYEX('$(DB)', 'Collation') IS NOT NULL
	ALTER DATABASE [$(DB)]
		SET RESTRICTED_USER 
		WITH ROLLBACK IMMEDIATE
go

IF substring(convert(varchar, SERVERPROPERTY('ProductVersion')), 1, 2) IN ('10', '11')
	RESTORE DATABASE [$(DB)] 
	FROM  DISK = N'$(CreditBackup)' 
	WITH  FILE = 1,  
		MOVE N'CreditData' 
			TO N'$(RestoreToDirectory)\CreditData.mdf',  
		MOVE N'CreditLog' 
			TO N'$(RestoreToDirectory)\CreditLog.ldf',
	STATS = 10, REPLACE
go

IF DATABASEPROPERTYEX('$(DB)', 'Collation') IS NOT NULL
	ALTER DATABASE [$(DB)]
		SET MULTI_USER 
		WITH ROLLBACK IMMEDIATE
go